#
# spec file for package profiteur
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           profiteur
Version:        0.4.4.0
Release:        3.1
Summary:        Treemap visualiser for GHC prof files
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghc-prof-devel
BuildRequires:  ghc-js-jquery-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel

%description
Treemap visualiser for GHC prof files.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%doc LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/data
%dir %{_datadir}/%{name}-%{version}/data/css
%dir %{_datadir}/%{name}-%{version}/data/html
%dir %{_datadir}/%{name}-%{version}/data/js
%{_datadir}/%{name}-%{version}/data/css/main.css
%{_datadir}/%{name}-%{version}/data/html/body.html
%{_datadir}/%{name}-%{version}/data/js/details.js
%{_datadir}/%{name}-%{version}/data/js/main.js
%{_datadir}/%{name}-%{version}/data/js/model.js
%{_datadir}/%{name}-%{version}/data/js/node.js
%{_datadir}/%{name}-%{version}/data/js/resizing-canvas.js
%{_datadir}/%{name}-%{version}/data/js/selection.js
%{_datadir}/%{name}-%{version}/data/js/sorting.js
%{_datadir}/%{name}-%{version}/data/js/tree-browser.js
%{_datadir}/%{name}-%{version}/data/js/tree-map.js
%{_datadir}/%{name}-%{version}/data/js/unicode.js
%{_datadir}/%{name}-%{version}/data/js/zoom.js

%changelog
* Fri Dec 29 2017 psimons@suse.com
- Update to version 0.4.4.0.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed May 31 2017 psimons@suse.com
- Update to version 0.4.3.0.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.4.2.2 with cabal2obs.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 0.4.2.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.4.2.0 with cabal2obs.
* Sun Oct 30 2016 psimons@suse.com
- Update to version 0.3.0.3 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.0.2 revision 0 with cabal2obs.
